## apmd-3.2.2.tar.bz2

=== Makefile ===
# Makefile -- 
# Copyright 1996, 1997 Rickard E. Faith <faith@acm.org>
# Copyright 1999 Avery Pennarun <apenwarr@worldvisions.ca>
#
# This program is free software; you can redistribute it and/or modify it
# under the terms of the GNU General Public License as published by the
# Free Software Foundation; either version 2, or (at your option) any
# later version.
# 
# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# General Public License for more details.
# 
# You should have received a copy of the GNU General Public License along
# with this program; if not, write to the Free Software Foundation, Inc.,
# 675 Mass Ave, Cambridge, MA 02139, USA.
#
# $Id: Makefile,v 1.30 2001/11/25 22:46:16 apenwarr Exp $
#

VERSION=3.2.1
LIB_VERSION=1:0

ifneq (,)
This makefile requires GNU Make.
endif

.SUFFIXES:

OBJS=apmlib.o
EXES=apm apmd xapm apmsleep
HEADERS=apm.h

PREFIX=/usr
MANDIR=$(PREFIX)/man
BINDIR=$(PREFIX)/bin
SBINDIR=$(PREFIX)/sbin
LIBDIR=$(PREFIX)/lib
INCDIR=$(PREFIX)/include
PROXY_DIR=/etc
DESTDIR=

CC=gcc
CFLAGS=-O -g
XTRACFLAGS=-Wall -pipe -I. -I/usr/src/linux/include -I/usr/X11R6/include \
		-I/usr/src/linux-2.2/include -I /usr/src/linux-2.0/include \
		-DVERSION=\"$(VERSION)\" \
		-DDEFAULT_PROXY_NAME=\"$(PROXY_DIR)/apmd_proxy\"
LDFLAGS=
LIBAPM=libapm.la
LIBAPM_FLAGS=-rpath $(LIBDIR) -version-info $(LIB_VERSION)
XLDFLAGS=-L/usr/X11R6/lib
XLIBS=-lXaw -lXmu -lXt -lXext -lSM -lICE -lX11
RANLIB=ranlib

# Uncomment these lines for a production compile
#CFLAGS=-O3 -m486 -fomit-frame-pointer
#LDFLAGS=-s

LIBTOOL=libtool --quiet
LT_COMPILE = $(LIBTOOL) --mode=compile $(CC)
LT_LINK = $(LIBTOOL) --mode=link $(CC)
LT_INSTALL = $(LIBTOOL) --mode=install install
LT_CLEAN = $(LIBTOOL) --mode=clean rm

all: $(EXES)

$(OBJS): $(HEADERS)

%.o: %.c
	$(LT_COMPILE) -c $(CPPFLAGS) $(CFLAGS) $(XTRACFLAGS) $<

%: %.o $(LIBAPM)
	$(LT_LINK) -o $@ $< $(LDFLAGS) $(LIBAPM)

xapm.o: xapm.c
	$(LT_COMPILE) -c $(CPPFLAGS) $(CFLAGS) $(XTRACFLAGS) -DNARROWPROTO $<

apmd: apmd.o

apmsleep: apmsleep.o

apmexists: apmexists.o

xapm: xapm.o $(LIBAPM)
	$(LT_LINK) -o $@ $< $(LDFLAGS) $(LIBAPM) $(XLDFLAGS) $(XLIBS)

$(LIBAPM): apmlib.lo
	$(LT_LINK) -o $@ $< $(LIBAPM_FLAGS) $(LDFLAGS)

apmlib.lo: apmlib.c apm.h
	$(LT_COMPILE) -c $(CPPFLAGS) $(CFLAGS) $(XTRACFLAGS) $<

.PHONY:	ChangeLog
ChangeLog:
	-rm -f ChangeLog
	rcs2log > ChangeLog

install: $(EXES)
	[ -d $(DESTDIR)$(BINDIR)    ] || install -d $(DESTDIR)$(BINDIR)
	[ -d $(DESTDIR)$(SBINDIR)   ] || install -d $(DESTDIR)$(SBINDIR)
	[ -d $(DESTDIR)$(LIBDIR)    ] || install -d $(DESTDIR)$(LIBDIR)
	[ -d $(DESTDIR)$(INCDIR)    ] || install -d $(DESTDIR)$(INCDIR)
	$(LT_INSTALL) -m 644 $(LIBAPM)   $(DESTDIR)$(LIBDIR)
	$(LT_INSTALL)        apm         $(DESTDIR)$(BINDIR)
	$(LT_INSTALL)        apmd        $(DESTDIR)$(SBINDIR)
	$(LT_INSTALL)        xapm        $(DESTDIR)$(BINDIR)
	$(LT_INSTALL)        apmsleep    $(DESTDIR)$(BINDIR)
	install              on_ac_power $(DESTDIR)$(BINDIR)
	install       -m 644 apm.h       $(DESTDIR)$(INCDIR)

.PHONY:	clean distclean
distclean clean:
	-$(LT_CLEAN) -f $(LIBAPM) $(EXES) *.lo
	-rm -f *.o *.s *~ core a.out build-stamp

=== debian/changelog ===
apmd (3.2.2-8.1) unstable; urgency=low

  * Non-maintainer upload to fix pending l10n and debconf issues.
  * Remove the now compeltely useless debconf note which deals with upgrade
    from pre-sarge versions. Closes: #388819
  * This also makes translations pointless. Closes: #405519, #405861

 -- Christian Perrier <bubulle@debian.org>  Sun, 25 Feb 2007 11:09:17 +0100

apmd (3.2.2-8) unstable; urgency=low

  * Removed the debconf templates apmd/overwrite-config-file and
    apmd/suspend-on-ac from its templates file. Closes: #376052.
  * Fixed bug present when apm_read() returns with the
    APM_32_BIT_SUPPORT flag unset. Closes: #222635.
    Patch by Thomas Hood <jdthood@yahoo.co.uk>.
  * Fixed half broken build-depends; removed libxaw-dev which cannot
    be satisfied.

 -- Anibal Monsalve Salazar <anibal@debian.org>  Fri, 21 Jul 2006 22:36:45 +1000

apmd (3.2.2-7) unstable; urgency=low

  * Synchronise with Ubuntu.
    - Added versioned depend on lsb-base
    - debian/apmd.init: pretty initscript

 -- Anibal Monsalve Salazar <anibal@debian.org>  Mon, 10 Jul 2006 16:21:24 +1000

apmd (3.2.2-6ubuntu1) edgy; urgency=low

  * Merge from debian unstable.

 -- Michael Vogt <michael.vogt@ubuntu.com>  Fri, 30 Jun 2006 21:30:11 +0200

apmd (3.2.2-6) unstable; urgency=low

  * Set Standards-Version to 3.7.2.
  * Set debian/compat to 5.
  * Fixed "mention user probably wants newer scheme",
    closes: #321868.
  * New Italian debconf translation, closes: #360347.
    Patch by Luca Monducci <luca.mo@tiscali.it>.
  * Fixed maintainer-script-calls-init-script-directly.
  * Fixed "purging fails", closes: #351329.

 -- Anibal Monsalve Salazar <anibal@debian.org>  Sun, 25 Jun 2006 19:32:20 +1000

apmd (3.2.2-5) unstable; urgency=low

  * New maintainer, closes: #348468.
  * Remove /etc/apm/suspend.d/99hwclock and /etc/apm/resume.d/00hwclock
    symlinks on purge. Patch by Colin Watson <cjwatson@ubuntu.com>.
  * Fix X header locations patch by LaMont Jones <lamont@ubuntu.com>.

 -- Anibal Monsalve Salazar <anibal@debian.org>  Mon, 30 Jan 2006 22:11:07 +1100

apmd (3.2.2-4) unstable; urgency=low

  * Add "| debconf-2.0" to dependencies of apmd.
    (closes: Bug#331742)
  * Don't rename config files in preinst.
    (closes: Bug#313341)
  * New translations.
    (closes: Bug#313054, Bug#333069, Bug#341557)
  * Bump standards-version (no changes).
  * Update FSF address.

 -- Chris Hanson <cph@debian.org>  Tue, 3 Jan 2006 02:02:54 -0500

apmd (3.2.2-3ubuntu2) breezy; urgency=low

  * fix X header locations

 -- LaMont Jones <lamont@ubuntu.com>  Mon, 23 May 2005 15:28:00 -0600

apmd (3.2.2-3ubuntu1) breezy; urgency=low

  * Resynchronise with Debian.

 -- Jeff Bailey <jbailey@ubuntu.com>  Wed, 20 Apr 2005 12:08:54 -0400

apmd (3.2.2-3) unstable; urgency=low

  * Remove hwclock symlinks from /etc/apm/.  (closes: Bug#297498)
  * New it translation.  (closes: Bug#279178)
  * New cs translation.  (closes: Bug#291574)
  * Change dependency from "xlibs-dev" to "libx11-dev".

 -- Chris Hanson <cph@debian.org>  Tue, 1 Mar 2005 12:59:52 -0500

apmd (3.2.2-2ubuntu5) hoary; urgency=low

  * Remove /etc/apm/suspend.d/99hwclock and /etc/apm/resume.d/00hwclock
    symlinks on purge.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue,  1 Mar 2005 02:47:55 +0000

apmd (3.2.2-2ubuntu4) hoary; urgency=low

  * use -Q argument to modprobe to be weally, weally quiet (Ubuntu: #5851)

 -- Thom May <thom@ubuntu.com>  Mon, 31 Jan 2005 15:08:09 +0000

apmd (3.2.2-2ubuntu3) hoary; urgency=low

  * Load the apm module in init script.

 -- Thom May <thom@planetarytramp.net>  Mon,  6 Dec 2004 12:55:10 +0100

apmd (3.2.2-2ubuntu2) warty; urgency=low

  * Added versioned depend on lsb-base

 -- Nathaniel McCallum <npmccallum@canonical.com>  Fri,  3 Sep 2004 14:47:15 -0400

apmd (3.2.2-2ubuntu1) warty; urgency=low

  * debian/apmd.init: pretty initscript

 -- Nathaniel McCallum <npmccallum@canonical.com>  Thu,  2 Sep 2004 16:23:52 -0400

apmd (3.2.2-2) unstable; urgency=low

  * New German translation.  (closes: Bug#250292)
  * New Turkish translation.  (closes: Bug#252935)

 -- Chris Hanson <cph@debian.org>  Mon, 7 Jun 2004 09:32:51 -0400

apmd (3.2.2-1) unstable; urgency=low

  * New upstream version incorporates all changes (outside of "debian"
    directory) as of 3.2.1-4.
  * debian/rules: Remove trailing slash from PROXY_DIR.
  * debian/control: Remove "Recent".  (closes: Bug#239698)
  * Simplify logcheck rules.  (closes: Bug#234710)
  * New Dutch translation.  (closes: Bug#243327)
  * Change implementation of --proxy-timout as suggested by Blaise
    Gassend.  (closes: Bug#244267)

 -- Chris Hanson <cph@debian.org>  Fri, 30 Apr 2004 00:44:40 -0400

apmd (3.2.1-4) unstable; urgency=high

  * No changes.  Resubmit to get buildd's to rebuild, since last version
    failed to build on some arches due to phase problem with xfree86.

 -- Chris Hanson <cph@debian.org>  Mon, 23 Feb 2004 16:12:29 -0500

apmd (3.2.1-3) unstable; urgency=high

  * Urgency high because last two versions were kept out of testing
    because buildd's (m68k and hppa) never tried to build them, and no one
    bothered to answer when I asked for help.  Feh.
  * Danish debconf translation.  (Claus Hindsgaul)  (closes: Bug#233101)
  * Update Peter Englmaier's e-mail address.  (closes: Bug#232443)

 -- Chris Hanson <cph@debian.org>  Thu, 19 Feb 2004 20:52:10 -0500

apmd (3.2.1-2) unstable; urgency=low

  * Eliminate use of GCC extension for variadic macros.
    (closes: Bug#230228)
  * Fix problem with negative hour in apmsleep.  (closes: Bug#230917)

 -- Chris Hanson <cph@debian.org>  Tue, 3 Feb 2004 14:03:53 -0500

apmd (3.2.1-1) unstable; urgency=low

  * Thomas Hood <jdthood@yahoo.co.uk>:

    - New upstream
      - apm.1: Add reference to apmd(8) for description of APM states.
        (closes: Bug#207653)
    - Rename "debian/00hwclock" to "debian/hwclock".
    - Update "README.Debian".
    - Update and correct "debian/copyright".
    - debian/rules:


=== debian/control ===
Source: apmd
Section: admin
Priority: optional
Maintainer: Anibal Monsalve Salazar <anibal@debian.org>
Build-Depends: debhelper (>= 5), libx11-dev, libxaw7-dev, libtool
Standards-Version: 3.7.2

Package: apmd
Section: admin
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, debconf (>= 1.2.9) | debconf-2.0, powermgmt-base, lsb-base (>= 1.3-9ubuntu3)
Suggests: xapm
Description: Utilities for Advanced Power Management (APM)
 On laptop computers, the Advanced Power Management (APM) support 
 provides access to battery status information and may help you to 
 conserve battery power, depending on your laptop and the APM 
 implementation.  The apmd program also lets you run arbitrary programs
 when APM events happen (for example, you can eject PCMCIA devices when
 you suspend, or change hard drive timeouts when you connect the battery).
 .
 This package contains apmd(8), a daemon for logging and acting on APM
 events; and apm(1), a client that prints the information in /proc/apm
 in a readable format.
 .
 apmd is notified of APM events by the APM driver in the kernel.
 .
 Debian kernels are built with APM support but it is disabled by
 default.  You need to boot the kernel with the "apm=on" option if you
 want to enable the driver. (You may need to add this option to your
 lilo command line.)
 .
 In most cases, users may want to know that there are newer power
 management schemes, like ACPI.
 .
  Homepage: http://www.worldvisions.ca/~apenwarr/apmd/

Package: xapm
Section: x11
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Conflicts: apmd (<< 3.0.2-1.6)
Description: X program to monitor APM battery status
 On laptop computers, the Advanced Power Management (APM) support 
 provides access to battery status information and may help you to 
 conserve battery power, depending on your laptop and the APM 
 implementation.
 .
 This package contains xapm(1), an X11 utility that displays the
 status of the battery.
 .
  Homepage: http://www.worldvisions.ca/~apenwarr/apmd/

Package: libapm1
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, powermgmt-base
Conflicts: apmd (<< 3.0.2-1.9), libapm-dev (<< 3.0.2-1.9)
Description: Library for interacting with APM driver in kernel
 On laptop computers, the Advanced Power Management (APM) support 
 provides access to battery status information and may help you to 
 conserve battery power, depending on your laptop and the APM 
 implementation.
 .
 This package contains a shared library that provides support for
 interacting with the APM driver in the kernel.
 .
  Homepage: http://www.worldvisions.ca/~apenwarr/apmd/

Package: libapm-dev
Section: libdevel
Architecture: any
Depends: libapm1 (= ${Source-Version})
Conflicts: apmd (<< 3.0.2-1.6)
Description: Library for interacting with APM driver in kernel
 On laptop computers, the Advanced Power Management (APM) support 
 provides access to battery status information and may help you to 
 conserve battery power, depending on your laptop and the APM 
 implementation.
 .
 This package contains a library and header files needed to write
 programs that interact with the APM driver in the kernel.
 .
  Homepage: http://www.worldvisions.ca/~apenwarr/apmd/

=== debian/rules ===
#!/usr/bin/make -f
# 							-*- makefile -*-
# debian.rules file for the Debian/GNU Linux apmd package
# Copyright 1996-98 by Dirk Eddelbuettel <edd@debian.org>

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1

package	= apmd
DESTDIR := $(shell pwd)/debian/$(package)

INSTALL := install --preserve-timestamps
INSTALL_SCRIPT := $(INSTALL) --mode=0755
INSTALL_DATA := $(INSTALL) --mode=0644

MAKE_FLAGS=PREFIX=/usr MANDIR=/usr/share/man PROXY_DIR=/etc/apm

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS := -O0
else
	CFLAGS := -O2
endif
CFLAGS += -g

build: build-stamp
build-stamp:
	dh_testdir
	$(MAKE) $(MAKE_FLAGS) CFLAGS="$(CFLAGS)" LDFLAGS=
	touch build-stamp

clean:
	dh_testdir
	#dh_testroot
	rm -f build-stamp
	-$(MAKE) distclean
	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs
	$(MAKE) $(MAKE_FLAGS) DESTDIR=$(DESTDIR) install
	# We will use on_ac_power from the powermgmt-base package.
	rm -f $(DESTDIR)/usr/bin/on_ac_power
	$(INSTALL_SCRIPT) debian/apmd_proxy $(DESTDIR)/etc/apm/.
	$(INSTALL_SCRIPT) debian/hwclock $(DESTDIR)/etc/apm/scripts.d/hwclock
	$(INSTALL_DATA) debian/apmd_proxy.conf $(DESTDIR)/usr/share/apmd
	dh_movefiles --sourcedir=debian/apmd
	-rmdir $(DESTDIR)/usr/include
	-rmdir $(DESTDIR)/usr/lib

binary-indep: build

binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installdebconf
	dh_installdocs			README apmsleep.README
	dh_installdocs -A		AUTHORS
	dh_installinit
	dh_installlogcheck
	dh_installman
	dh_installchangelogs		ChangeLog
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_makeshlibs			-V"libapm1 (>= 3.2.0-7)"
	dh_installdeb
	dh_shlibdeps			-ldebian/libapm1/usr/lib
	dh_gencontrol
	dh_md5sums
	dh_builddeb

source diff:                                                                  
	@echo >&2 'source and diff are obsolete - use dpkg-source -b'; false

binary: binary-indep binary-arch
.PHONY: build clean install binary-indep binary-arch binary
